## cloud-init 23.2.2

=== debian/changelog ===
cloud-init (23.2.2-0ubuntu0~20.04.1) focal; urgency=medium

  * Upstream snapshot based on 23.2.2.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.2.2/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2028562, #2028784)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 01 Aug 2023 14:18:47 +0200

cloud-init (23.2.1-0ubuntu0~20.04.2) focal; urgency=medium

  * d/apport-general-hook: correct type hints on Dict for py3.8
    (LP: #2025376)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 29 Jun 2023 09:41:13 -0600

cloud-init (23.2.1-0ubuntu0~20.04.1) focal; urgency=medium

  * Upstream snapshot based on 23.2.1. (LP: #2025180).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.2.1/ChangeLog

 -- Brett Holman <brett.holman@canonical.com>  Wed, 28 Jun 2023 16:14:16 -0600

cloud-init (23.2-0ubuntu0~20.04.1) focal; urgency=medium

  * d/control: Remove pep8 dependency. It is no longer used
  * d/patches/netplan99-cannot-use-default.patch:
    - Retain routes' definitions compatible with netplan 0.99 (Fixes: #4133)
  * d/apport-general-hook.py: Add general apport hook to append cloud type,
    image and instance size information to bug reports (LP: #1724623)
  * d/cloud-init.preinst: Oracle to remove vestigial /etc/cloud.cloud.cfg.d/
    99-disable-network-config.cfg because system config is now honored before
    datasource config (LP: #1956788)
  * d/cloud-init.preinst: Clean up vestigial
    /etc/cloud/cloud.cfg.d/99-disable-network-activation.cfg on GCE instances
    after fix in upstream google-guest-agent.
  * Refresh patches against upstream/main:
    - d/p/expire-on-hashed-users.patch
    - d/p/retain-netplan-world-readable.patch
  * Upstream snapshot based on 23.2. (LP: #2023110).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.2/ChangeLog

 -- Chad Smith <chad.smith@canonical.com>  Tue, 06 Jun 2023 16:07:04 -0600

cloud-init (23.1.2-0ubuntu0~20.04.2) focal; urgency=medium

  * d/patches/netplan99-cannot-use-default.patch:
    - Retain routes' definitions compatible with netplan 0.99 (Fixes: #4133)

 -- James Falcon <james.falcon@canonical.com>  Fri, 19 May 2023 12:57:02 -0500

cloud-init (23.1.2-0ubuntu0~20.04.1) focal; urgency=medium

  * SECURITY UPDATE: Make user/vendor data sensitive and remove log permissions
    Because user data and vendor data may contain sensitive information,
    this commit ensures that any user data or vendor data written to
    instance-data.json gets redacted and is only available to root user.

    Also, modify the permissions of cloud-init.log to be 640, so that
    sensitive data leaked to the log isn't world readable.
    Additionally, remove the logging of user data and vendor data to
    cloud-init.log from the Vultr datasource.

    This is based on upstream snapshot of 23.1.2 [(LP: #2013967)]

    - d/cloud-init.postinst: postinst fixes for LP: #2013967
      Redact sensitive keys from world-readable instance-data.json on upgrade.
      Set perms 640 for /var/log/cloud-init.log on pkg upgrade.
      Redact sensitive Vultr messages from /var/log/cloud-init.log
    - (CVE-2023-1786)

 -- James Falcon <james.falcon@canonical.com>  Fri, 21 Apr 2023 14:28:19 -0500

cloud-init (23.1.1-0ubuntu0~20.04.1) focal; urgency=medium

  * d/patches/retain-netplan-world-readable.patch:
    - Retain original world-readable perms of /etc/netplan/50-cloud-init.yaml.
      Lunar made the config root read-only.
  * refresh patches:
    + debian/patches/expire-on-hashed-users.patch
  * Upstream snapshot based on 23.1.1. (LP: #2008230).
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.1.1/ChangeLog

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 03 Mar 2023 09:48:54 +0100

cloud-init (22.4.2-0ubuntu0~20.04.2) focal; urgency=medium

  * d/compat & d/control: revert bump debhelper-comat to v10. Avoid
    service restarts across package upgrade (LP: #1999159)
    - d/compat: replaced with compat level 9
    - d/control: Build-Depends: revert to debhelper >= 9

 -- Chad Smith <chad.smith@canonical.com>  Thu, 08 Dec 2022 09:45:11 -0700

cloud-init (22.4.2-0ubuntu0~20.04.1) focal; urgency=medium

  * Upstream snapshot based on 22.4.2 upstream release. (LP: #1996645)
    - List of changes from upstream can be found at
      https://raw.githubusercontent.com/canonical/cloud-init/22.4.2/ChangeLog
    - Includes (LP: #1997559, #1844191) not present in 22.4.0.

 -- James Falcon <james.falcon@canonical.com>  Mon, 28 Nov 2022 10:48:49 -0600

cloud-init (22.4-0ubuntu0~20.04.1) focal; urgency=medium

  * d/control: drop python3-httpretty from Build-Depends
  * d/cloud-init.templates: Add NWCS to datasource list
  * refresh patches:
    + debian/patches/expire-on-hashed-users.patch
  * Upstream snapshot based on 22.4 upstream release. (LP: #1996645)
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/22.4/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Tue, 15 Nov 2022 16:17:27 -0600

cloud-init (22.3.4-0ubuntu1~20.04.1) focal; urgency=medium

  * New upstream bugfix release. (LP: #1987318)
    + Release 22.3.4 (LP: #1986703)
    + Fix Oracle DS primary interface when using IMDS (#1757)
      (LP: #1989686)

 -- Brett Holman <brett.holman@canonical.com>  Mon, 03 Oct 2022 10:57:17 -0600

cloud-init (22.3.3-0ubuntu1~20.04.1) focal; urgency=medium

  * New upstream bugfix release. (LP: #1987318)
    + Release 22.3.3
    + Fix Oracle DS not setting subnet when using IMDS (#1735)
    + azure: define new attribute for pre-22.3 pickles (#1725)
    + sources/azure: ensure instance id is always correct (#1727)
      [Chris Patterson]

 -- Brett Holman <brett.holman@canonical.com>  Wed, 21 Sep 2022 14:16:25 -0600


