## cloud-init 23.3

=== debian/changelog ===
cloud-init (23.3-0ubuntu1) mantic; urgency=medium

  * d/po/templates.pot: refresh with debconf-updatepo
  * d/cloud-init.templates: enable Akamai by default.
    Add Akamai to the default templates to allow datasource discovery.
  * Upstream snapshot based on 23.3.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.3/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2030788, #1980150, #1884127)
      (LP: #1998539)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Aug 2023 12:33:17 -0600

cloud-init (23.3~4ga31370af-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at a31370af.
    - Bugs fixed in this snapshot: (LP: #1923363, #2028562, #2028784)
  * d/cloud-init.maintscript: Remove the unused hook-network-manager
    conffile. (LP: #2027861)
  * d/control: Add python3-passlib as needed for testing

 -- James Falcon <james.falcon@canonical.com>  Mon, 31 Jul 2023 11:38:42 -0500

cloud-init (23.3~3gebd7b2b6-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at ebd7b2b6.

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 18 Jul 2023 17:37:07 +0200

cloud-init (23.3~2gcf474da7-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at cf474da7.
    - Bugs fixed in this snapshot: (LP: #2013403)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Tue, 11 Jul 2023 10:22:04 +0200

cloud-init (23.3~1ge5a617fe-0ubuntu1) mantic; urgency=medium

  * Upstream snapshot based on upstream/main at e5a617fe.
    - Bugs fixed in this snapshot: (LP: #2025180, #2025180, #1999952)
      (LP: #1798055)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Jun 2023 09:57:55 -0600

cloud-init (23.2-0ubuntu1) mantic; urgency=medium

  * d/control: Remove pep8 dependency. It is no longer used.
  * Upstream snapshot based on 23.2.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.2/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2011783, #2008888, #1854594, #2016350)
      (LP: #1881925, #2013967, #2011291)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 24 May 2023 19:06:03 +0200
