=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: https://cloud-init.io/
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                iproute2,
                po-debconf,
@@ -22,11 +22,11 @@
                python3-serial,
                python3-setuptools,
                python3-yaml,
-               python3-responses
-XS-Python-Version: all
+               python3-responses,
+               python3-passlib
 Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
 Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
 Package: cloud-init
@@ -43,9 +43,8 @@
          python3-serial,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: eatmydata, gdisk, software-properties-common
+Recommends: eatmydata, gdisk, gnupg, software-properties-common
 Suggests: openssh-server, ssh-import-id
-XB-Python-Version: ${python:Versions}
 Description: initialization and customization tool for cloud instances
  Cloud-init is the industry standard multi-distribution method for
  cross-platform cloud instance initialization. It is supported across all major
