## cloud-init 24.1~3gb729a4c4

=== debian/changelog ===
cloud-init (24.1~3gb729a4c4-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at b729a4c4.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 09 Jan 2024 15:38:50 -0700

cloud-init (24.1~2gb6a1c635-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at b6a1c635.
    - Bugs fixed in this snapshot: (LP: #2045086, #1951639)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Thu, 04 Jan 2024 10:16:55 +0100

cloud-init (24.1~1g1003d438-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at 1003d438.
    - Bugs fixed in this snapshot: (LP: #2040325)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Fri, 15 Dec 2023 11:34:16 +0100

cloud-init (23.4-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 23.4.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/23.4/ChangeLog

 -- Alberto Contreras <alberto.contreras@canonical.com>  Mon, 04 Dec 2023 18:51:25 +0100

cloud-init (23.4~3g0cb0b80f-0ubuntu1) noble; urgency=medium

  * d/p/do-not-block-user-login.patch:
    - Revert behavior, allow user login after cloud-init stage (LP: #2039505)
  * d/control: add python3-apt as Recommends to read APT config from apt_pkg
  * drop the following cherry-picks now included:
    + d/p/cpick-0d9f149a-Pytestify-apt-config-test-modules-4424
    + d/p/cpick-5023e9f9-Refactor-test_apt_source_v1.py-to-use-pytest-4427
    + d/p/cpick-e9cdd7e3-Install-gnupg-if-gpg-not-found-4431
    + d/p/cpick-015543d3-apt-install-software-properties-common-when-absent-but
  * Upstream snapshot based on upstream/main at 0cb0b80f.
    - Bugs fixed in this snapshot: (LP: #2034273, #2030729)
      (LP: #2038945, #2039453)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 08 Nov 2023 22:24:09 -0700
