## cloud-init 24.1.1

=== debian/changelog ===
cloud-init (24.1.1-1) unstable; urgency=medium

  [ Nick Brown ]
  * Add logrotate config (Closes: #926424)

  [ Debian Janitor ]
  * Update lintian override info format in d/cloud-init.lintian-overrides
    on line 3-7.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since
      debhelper now does this.
    + Replace --no-restart-on-upgrade with --no-stop-on-upgrade.
    + Use dh_installsystemd rather than deprecated dh_systemd_start.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Ross Vandegrift ]
  * d/control: Conflict with firewalld (Closes: #1025618)
    cloud-init and firewalld's systemd units jointly have startup cycles.
    Currently, they cannot be eliminated without breaking features of one
    or the other.
  * d/control: drop obsolete Depends on lsb-base

  [ Noah Meyerhans ]
  * Fix debian/rules clean fails from git repo
    This may not be strictly correct from a pybuild perspective, but it
    avoids the need to call `setup.py` from the clean recipe.
    (Closes: #955620)

  [ Ross Vandegrift ]
  * New upstream version 24.1 (Closes: #1057548)
  * d/p/0001-config-Support-APT-automated-mirror-selection.patch: refresh
  * d/p/0006-Disable-two-failing-WSL-unittests.patch: disable failing WSL tests

  [ Noah Meyerhans ]
  * New upstream version 24.1.1
  * Drop patch 0006-Disable-two-failing-WSL-unittests.patch

 -- Noah Meyerhans <noahm@debian.org>  Mon, 11 Mar 2024 20:00:23 -0700

cloud-init (23.3.1-1) unstable; urgency=medium

  * New upstream version 23.3.1
  * Refresh patches
  * add python3-passlib to build-deps

 -- Noah Meyerhans <noahm@debian.org>  Sun, 10 Sep 2023 19:33:52 -0700

cloud-init (23.2.1-1) unstable; urgency=medium

  * New upstream version 23.2.1

 -- Noah Meyerhans <noahm@debian.org>  Wed, 28 Jun 2023 13:24:31 -0700

cloud-init (23.2-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop unused build dependencies (Closes: #1026813)

  [ Noah Meyerhans ]
  * New upstream version 23.2 (Closes: #1008039, #1005318, #999400)
  * Refresh patches
  * drop special handling of files that no longer exist upstream
  * drop dependency on obsolete lsb-base package

 -- Noah Meyerhans <noahm@debian.org>  Wed, 14 Jun 2023 09:42:18 -0700
