## cloud-init 24.1.3

=== debian/changelog ===
cloud-init (24.1.3-0ubuntu3) noble; urgency=medium

  * cherry-pick 516fad6d: fix(url_helper): fix TCP connection leak on
    readurl() retries

 -- Brett Holman <brett.holman@canonical.com>  Fri, 05 Apr 2024 17:18:48 -0600

cloud-init (24.1.3-0ubuntu2) noble; urgency=medium

  * Upstream bug fix release based on 24.1.4.
    + functional fixes in debian/patches:
      - cpick-f74b61ea-ephemeral-dhcpcd-Set-dhcpcd-interface-down
        When dhcpcd client sets up a device to discover IMDS, ensure
        link is set back down to avoid interface rename failures (GH-5019)
      - cpick-372e80f8-net-dhcp-bump-dhcpcd-timeout-to-300s-5127
        Extend default timeout of dhcpcd command to 300 seconds
      - cpick-77771023-net-dhcp-raise-InvalidDHCPLeaseFileError-on-error
        Raise any dhcpcd lease parse failures as InvalidDHCPLeaseFileError
        (GH-5128)
      - cpick-f6ac6ee8-fix-dhcpcd-Make-lease-parsing-more-robust-5129
        Avoid tracebacks on empty invalid lease content from dhcpcd
        and raise InvalidDHCPLeaseFileError with full lease parsed when errors
        occur. (GH-5128)
    + test fixes in debian/patches:
      - d/p/cpick-accdfe6a-refactor-Import-log-module-rather-than-functions-5074
        Avoid mock failures in unit tests by module-level import of log
      - cpick-144782a8-test-Remove-side-effects-from-tests-5074

 -- Chad Smith <chad.smith@canonical.com>  Wed, 03 Apr 2024 12:26:52 -0600

cloud-init (24.1.3-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.3.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1.3/ChangeLog

 -- James Falcon <james.falcon@canonical.com>  Wed, 27 Mar 2024 08:27:29 -0500

cloud-init (24.1.2-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.2.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1.2/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2057763)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 21 Mar 2024 07:53:15 -0600

cloud-init (24.1.1-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1.1/ChangeLog
    - Bugs fixed in this snapshot: (LP: #2056439, #2056460, #2055077)
      (LP: #2056194)

 -- Brett Holman <brett.holman@canonical.com>  Mon, 11 Mar 2024 21:09:37 -0600

cloud-init (24.1-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on 24.1.
    List of changes from upstream can be found at
    https://raw.githubusercontent.com/canonical/cloud-init/24.1/ChangeLog

 -- Brett Holman <brett.holman@canonical.com>  Thu, 29 Feb 2024 19:57:05 -0700

cloud-init (24.1~7g54599148-0ubuntu1) noble; urgency=medium

  * d/cloud-init.templates: enable WSL datasource by default.
  * Restore upstream ChangeLog without any merges.
    We have been merging an upstream ChangeLog spelling difference
    downstream for no good reason.
  * Upstream snapshot based on upstream/main at 54599148.
    - Bugs fixed in this snapshot: (LP: #2055081, #2055219)

 -- James Falcon <james.falcon@canonical.com>  Tue, 27 Feb 2024 17:42:55 -0600

cloud-init (24.1~6ga4140119-0ubuntu1) noble; urgency=medium

  * d/control: Replace isc-dhcp-client with dhcpcd-base
  * d/p/do-not-block-user-login.patch:
    - Remove patch, snapd no longer blocks ssh
  * d/s/: Move apport hook to main branch
  * d/cloud-init.postinst: change priority of hotplug rules.
    Avoids LP: #1946003 on upgraded systems. References:
    [0] https://github.com/canonical/cloud-init/pull/4799
    [1] commit/b519d861aff8b44a0610c176cb34adcbe28df144
  * Upstream snapshot based on upstream/main at a4140119.

 -- Brett Holman <brett.holman@canonical.com>  Fri, 16 Feb 2024 08:18:39 -0500

cloud-init (24.1~5g1f6eddd5-0ubuntu1) noble; urgency=medium

  * Upstream snapshot based on upstream/main at 1f6eddd5.
    - Bugs fixed in this snapshot: (LP: #2046483)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 02 Feb 2024 14:39:53 -0700

cloud-init (24.1~4gd9677655-0ubuntu1) noble; urgency=medium

  * d/cloud-init.maintscript: remove /etc/cloud/clean.d/README
  * d/cloud-init.logrotate: add logrotate config for cloud-init
  * Upstream snapshot based on upstream/main at d9677655.
    - Bugs fixed in this snapshot: (LP: #2051147)

 -- Alberto Contreras <alberto.contreras@canonical.com>  Wed, 24 Jan 2024 18:45:19 +0100
