## cloud-init 24.1.6

=== debian/changelog ===
cloud-init (24.1.6-1) unstable; urgency=medium

  * New upstream version 24.1.6
  * Revert "Disable broken upstream test", as the upstream issue is resolved

 -- Noah Meyerhans <noahm@debian.org>  Fri, 24 May 2024 10:26:56 -0700

cloud-init (24.1.4-2) unstable; urgency=medium

  * Disable broken upstream test (Closes: #1069800)
  * Remove obsolete python3-mock builddep (Closes: #1066802)
  * Prefer udhcpc as the DHCP client for pre-network boot configuration
    (Closes: #1051421)
  * dh/rules: remove more artifacts during clean

 -- Noah Meyerhans <noahm@debian.org>  Thu, 25 Apr 2024 11:37:10 -0700

cloud-init (24.1.4-1) unstable; urgency=medium

  * New upstream version 24.1.4

 -- Noah Meyerhans <noahm@debian.org>  Wed, 24 Apr 2024 17:29:54 -0700

cloud-init (24.1.3-1) unstable; urgency=medium

  * New upstream version 24.1.3

 -- Noah Meyerhans <noahm@debian.org>  Wed, 27 Mar 2024 09:47:28 -0700

cloud-init (24.1.1-2) unstable; urgency=medium

  * Add passwd to Build-Depends (Closes: #1057548)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 25 Mar 2024 14:12:56 -0700
